Subject: Re: [bug#68420] [PATCH 1/1] scripts: size: Add ‘system’ argument to ‘ensure-store-item’.

From: Hilton Chain <[email-masked]>
Date: Thu, 01 Feb 2024 14:02:14 +0800

Hi Mathieu,

On Sat, 13 Jan 2024 17:36:37 +0800,
Mathieu Othacehe wrote:
>
>
> Hey,
>
> > -(define* (ensure-store-item spec-or-item)
>
> When I have a look to the derivation that is computed in that procedure,
> it looks like it has the expected system (the one passed as a cli
> argument). Do you have any evidence of `guix size` doing the wrong thing
> after c245a54aab?

Sorry for the confusion, c245a54aab did fix the issue, I should remove the
"follow-up" line in the commit message.

This patch is more of a style change:

Since system has been passed to ‘run-with-store’ and parameterized within it, we
only have to deal with the ‘mlet*’ bindings which are evaluated earlier.

For this specefic case, only ‘ensure-store-item’ used in ‘mlet*’ bindings needs
the system, so we can simply handle it there.  And I think parameterizing system
around ‘run-with-store’ again made the procedure less clear.

Thanks